# VarianceComponentModels

| **Documentation** | **Build Status** | **Code Coverage**  |
|-------------------|------------------|--------------------|
| [![](https://img.shields.io/badge/docs-current-blue.svg)](https://openmendel.github.io/VarianceComponentModels.jl/latest/) | [![Build Status](https://travis-ci.org/OpenMendel/VarianceComponentModels.jl.svg?branch=master)](https://travis-ci.org/OpenMendel/VarianceComponentModels.jl) [![Build status](https://ci.appveyor.com/api/projects/status/5yyf2m4y8p68glbh/branch/master?svg=true)](https://ci.appveyor.com/project/Hua-Zhou/variancecomponentmodels-jl-cw40h/branch/master) | [![Coverage Status](https://coveralls.io/repos/github/OpenMendel/VarianceComponentModels.jl/badge.svg?branch=master)](https://coveralls.io/github/OpenMendel/VarianceComponentModels.jl?branch=master) [![codecov](https://codecov.io/gh/OpenMendel/VarianceComponentModels.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/OpenMendel/VarianceComponentModels.jl) |  

This [Julia](http://julialang.org/) package provides computational routines for fitting and testing variance component models. VarianceComponentModels is one package of the umbrella [OpenMendel](https://openmendel.github.io) project.

## Installation

This package requires Julia v0.7.0 or later, which can be obtained from
https://julialang.org/downloads/ or by building Julia from the sources in the
https://github.com/JuliaLang/julia repository.


This package is registered in the default Julia package registry, and can be installed through standard package installation procedure: e.g., running the following code in Julia REPL.
```julia
using Pkg
pkg"add VarianceComponentModels"
```
## Citation

If you use [OpenMendel](https://openmendel.github.io) analysis packages in your research, please cite the following reference in the resulting publications:

*Zhou, H., Sinsheimer, J., German, C., Ji, S., Bates, D., Chu, B. B., Keys, K., Kim, J., Ko, S., Mosher, G., Papp, J., Sobel, E., Zhai, J., Zhou, J., and Lange, K. (2020). OPENMENDEL: a cooperative programming project for statistical genetics, Human Genetics, 139(1):61-71.*

<!--- ## Contributing
We welcome contributions to this Open Source project. To contribute, follow this procedure ... --->

## Acknowledgments

This project is supported by the National Institutes of Health under NIGMS awards R01GM053275 and R25GM103774 and NHGRI award R01HG006139.
